@echo off

cls

set prod=Vxc_Dos



if x%1 == xh     goto NSet

if x%1 == x-h    goto NSet

if x%1 == x/h    goto NSet

if x%1 == xhelp  goto NSet

if x%1 == x-help goto NSet

if x%1 == x/help goto NSet

if x%1 == x?     goto NSet

if x%1 == x-?    goto NSet

if x%1 == x/?    goto NSet

if x%1 == x      goto NSet



:HSet

   echo\

   echo ***********************************************************

   echo **                                                       **

   echo **  This batch file will copy the folder into %1\%prod%  **

   echo **                                                       **

   echo *********************************************************** 

   echo\

   echo Please press [Ctrl] + [C] to cancel this process, or 

   pause

   echo\

   xcopy /s %prod%\*.* %1\%prod%\*.*

   attrib /s -r %1\%prod%\*.*

   goto END



:NSet

   echo\

   echo **********************************************************************

   echo **                                                                  **

   echo **  This batch file will copy the folder into C:\DAQPro\%prod%     **

   echo **                                                                  **

   echo **                                                                  **

   echo **  The user can also change the destination by specifies the       **

   echo **  parameter on the command line.                                  **

   echo **                                                                  **

   echo **  For example:                                                    **

   echo **      install D:\MyProj                                           **

   echo **                                                                  **

   echo **      This will force to copy the folder into D:\MyProj\%prod%   **

   echo **                                                                  **

   echo **********************************************************************

   echo\

   echo Please press [Ctrl] + [C] to cancel this process, or 

   pause

   echo\

   xcopy /s %prod%\*.* C:\DAQPro\%prod%\*.*

   attrib /s -r C:\DAQPro\%prod%\*.*

   goto END



:END

set prod=

echo\

echo\

